*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
    overflow-y: scroll;
    overflow-x: hidden;
}
body{
    background: #080808;
    background-color: rgb(46, 47, 48)!important;
    color: #fff !important;
    font-family: Arial, Helvetica, sans-serif !important;
}

 #home{
    background-image: url('images/HeaderBackground.jpg');
    width: 100%;
    height: 100vh;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
} 

.home-format{
    padding-top: 8vh; 
}

#sidemenu {
    background: rgb(92, 92, 92, 0.1)    /*  10% opaque green */ 
}

.container{
    padding: 10px 5%;

}

.containerheader{
    display: flex;
    align-items: center; /* Vertically center the content */

}

.imageheader{
    margin-left: 20px; 
}

nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    top: 0;
    transition: background-color 0.5s ease-in-out;


}

.navbar{
    padding-top: 15px !important;
    padding-right: 10% !important;
    padding-left: 10% !important;
}

.scrolled{
    background-color: #00000026 !important;  /*Set your desired background color */
    transition: background-color 0.5s ease-in-out;
  }

.nav-logo {
    width: 25%; 
    height: auto; 
}

nav ul li{
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
}

.nav-link{
    font-size: 110%;
    font-weight: bolder;
    
}

.nav-link:hover{
    color: white;
}

.nav-link.active{
  color: #3165f3;

}

nav ul li a{
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    position: relative;
}
nav ul li a::after{
    content: '';
    width: 0;
    height: 3px;
    background: #3165f3;
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.5s;
}
nav ul li a:hover::after{
    width: 100%;
    
}
.header-text{
    margin-top: 20% !important;
}
.header-text h1{
    font-size: 70px;
    margin-top: 20px;
}
.header-text h1 .primary-color{
    color: #3165f3;
}

#header-caption {
    display: inline-block;
    color: #ffe100;
    font-size: 30px 
  }

#header-style{
    text-shadow: 2px 2px 6px blue;
}

#AyushHeaderPic{
    border-radius: 30px;
    width: 25vw;
    height: auto;
    max-width: 50vw;
    object-fit: cover;  
    border: 2px solid rgb(0, 0, 0);
    margin-top: 100px;
    /* padding-right: 100px; */
    
}
/* -----------about--------------- */
#about{
    padding: 100px 0;
}
.row{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.about-col-1{
    flex-basis: 35%;
}
.about-col-1 img{
    width: 100%;
    border-radius: 15px;
    border-radius: 30px; 
    border: 2px solid rgb(0, 0, 0); 
    display: block;
}
.about-col-2{
    flex-basis: 60%;
}

.about-col-2 p{
    text-align:justify;
}

.sub-title{
    font-size: 60px;
    font-weight: 600;
    color: #fff;
}

.tab-titles {
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #212121bd; 
    padding: 10px;
    border-radius: 10px;
}

.tab-titles .tab-links {
    font-weight: bold;
}

.tab-links {
    color: #ffffff; 
    cursor: pointer;
    font-size: 18px;
    transition: color 0.3s ease-in-out;
    position: relative;
    margin-right: 50px;
}

.tab-links::after{
    content: '';
    width: 0;
    height: 3px;
    background: #3165f3;
    position: absolute;
    left: 0;
    bottom: -8px;
    transition: 0.5s;
}

.tab-links.active-link::after{
    width: 50%;
}

.tab-contents ul li{
    list-style: none;
    margin: 10px 0;
}
.tab-contents ul li span{
    color: #1E90FF;
    font-size: 16px;
    font-weight: bold;
}
.tab-contents{
    display: none;
}
.tab-contents.active-tab{
    display: block;
}
/* 
.primary-color {
    color: #3165f3;
} */

.experience-logo{
    float: right;
    height: 50px;
}

.education-logo{
    float: right;
    height: 50px;
}




.btn{
    display: block;
    margin: 50px auto;
    width: fit-content;
    border: 1px solid #3165f3;
    padding: 14px 50px;
    border-radius: 6px;
    text-decoration: none;
    color: #fff;
    transition: background 0.5s;
}
.btn:hover{
    background: #3165f3;
}


/* ---------contact-------- */
.contact-left{
    flex-basis: 35%;
}
.contact-right{
    flex-basis: 60%;
}

.contact-left p{
    margin-top: 30px;
}
.contact-left p i{
    color: #3165f3;
    margin-right: 15px;
    font-size: 25px;
}
.social-icons{
    margin-top: 30px;
}
.social-icons a{
    text-decoration: none;
    font-size: 30px;
    margin-right: 15px;
    color: #ababab;
    display: inline-block;
    transition: transform 0.5s;
}
.social-icons a:hover{
    color: #3165f3;
    transform: translateY(-5px);
}
.btn.btn2{
    display: inline-block;
    outline: 0;
    border: 0;
    cursor: pointer;
    will-change: box-shadow,transform;
    background: radial-gradient( 100% 100% at 100% 0%, #89E5FF 0%, #3165f3 100% );
    box-shadow: 0px 2px 4px rgb(45 35 66 / 40%), 0px 7px 13px -3px rgb(45 35 66 / 30%), inset 0px -3px 0px rgb(58 65 111 / 50%);
    padding: 0 32px;
    border-radius: 6px;
    color: #fff;
    font-weight: bold;
    height: 48px;
    font-size: 120%;
    text-shadow: 0 1px 0 rgb(0 0 0 / 40%);
    transition: box-shadow 0.15s ease,transform 0.15s ease;
}

.btn.btn2:hover{
    box-shadow: 0px 4px 8px rgb(45 35 66 / 40%), 0px 7px 13px -3px rgb(45 35 66 / 30%), inset 0px -3px 0px #3c4fe0;
    transform: translateY(-2px);
    color: #fff;

}

.btn.btn2:active{
    box-shadow: inset 0px 3px 7px #3c4fe0;
    transform: translateY(2px);
}
.contact-right form{
    width: 100%;
}
form input, form textarea{
    width: 100%;
    border: 0;
    outline: none;
    background: #ffffff;
    padding: 15px;
    margin: 15px 0;
    color: rgb(0, 0, 0);
    font-size: 18px;
    border-radius: 6px;
}
form .btn2{
    padding: 14px 60px;
    font-size: 18px;
    margin-top: 20px;
    cursor: pointer;
}
.copyright{
    width: 100%;
    text-align: center;
    padding: 25px 0;
    background: #262626;
    font-weight: 300;
    margin-top: 20px;
}
.copyright i{
    color: #3165f3;
}
.copyright a{
    color: #3165f3;
    text-decoration: none;
}
#msg{
    color: #61b752;
    margin-top: -40px;
    display: block;
}

hr{
    background-color: #ccc !important;
}

/* -----------------css for smaller screens--------- */


@media only screen and (max-width: 1000px){
    
     .about-col-2{
        flex-basis: 100%;
        margin-left: 20px;
        margin-right: 20px;
    }

    #AyushHeaderPic{
        display: none;
    }

    #AboutMePic{
        width: 90%;
        height: auto;  
        display: flex;
        justify-content: center;
        align-items: center;

    }
    .contact-left, .contact-right{
        flex-basis: 100%;
        margin-left: 20px;
        margin-right: 20px;
    }


}

@media only screen and (max-width: 600px){

    #AyushHeaderPic{
        width: 60%;
        display:flex; 
        justify-content: center;
        align-items: center;
        margin-left: 60px;
        
    }

    .home-format{
        padding-left: 60px;
    }

    .header-text{
        margin-top: 5% !important;

    }
    .header-text h1{
        font-size: 50px;
    }

    #header-caption {
        display: inline-block;
        color: #ffe100;
        font-size: 25px 
      }

    #header-style{
        display: block;
    
    }
    nav .fas{
        display: block;
        font-size: 25px;
    }
    #AboutMePic{
        display: none !important;
    }
    nav ul{
        background: #3165f3;
        position: fixed;
        top: 0;
        right: -200px;
        width: 200px;
        height: 100vh;
        padding-top: 50px;
        z-index: 2;
        transition: right 0.5s;
    }
    nav ul li{
        display: block;
        margin: 25px;
    }
    nav ul .fas{
        position: absolute;
        top: 25px;
        left: 25px;
        cursor: pointer;
    }
    .sub-title{
        font-size: 40px;
    }
    .about-col-1, .about-col-2{
        flex-basis: 100%;
        margin-left: 20px;
        margin-right: 20px;
    }
    .about-col-1{
        margin-bottom: 30px;
    }
    .about-col-2{
        font-size: 14px;
    }
    .tab-links{
        font-size: 16px;
        margin-right: 20px;
    }
    .contact-left, .contact-right{
        flex-basis: 100%;
        margin-left: 20px;
        margin-right: 20px;
    }
    .copyright{
        font-size: 14px;
    }
}

ol, ul {
    padding-left: 0rem !important;
    padding-bottom: 1rem !important;
}